class SearchTraveler {
  final String travellerId;
  final String firstName;
  final String lastName;
  final String email;
  final String mobileNo;
  String? empCode;

  SearchTraveler({
    required this.travellerId,
    required this.firstName,
    required this.lastName,
    required this.email,
    required this.mobileNo,
    this.empCode,
  });

  factory SearchTraveler.fromJson(Map<String, dynamic> json) {
    return SearchTraveler(
      travellerId: json['traveller_id'].toString(),
      firstName: json['first_name'].toString() ?? '',
      lastName: json['last_name'].toString() ?? '',
      email: json['email'].toString() ?? '',
      mobileNo: json['mobile'].toString() ?? '',
      empCode: json['employee_code'].toString() ?? '',
    );
  }
}
